Proopsys API

Version 1.0 · Base URL: https://proopsys.com/api/v1

REST APIJSON

Authentication

How to get a key: Settings → Webhooks & API → Generate API key

How to use:

curl -H "Authorization: Bearer prps_your_key" https://proopsys.com/api/v1/signal

Rate limits

Operator1,000 requests/day
Builder5,000 requests/day
EnterpriseUnlimited

Endpoints

GET/signal

Returns your current Signal, predictive trajectory intelligence.

curl -H "Authorization: Bearer prps_your_key" https://proopsys.com/api/v1/signal
{
  "success": true,
  "data": {
    "trajectory": "building",
    "trajectory_score": 72,
    "leading_indicator": "execution",
    "leading_indicator_direction": "positive",
    "leading_indicator_days_ahead": 9,
    "intervention_action": "Protect your morning focus block",
    "intervention_urgency": "this_week",
    "predicted_outcome": "Revenue momentum builds through next month",
    "predicted_timeframe_days": 30,
    "dimensions": {
      "energy": 68,
      "focus": 74,
      "execution": 80,
      "pipeline": 61,
      "content": 55,
      "revenue": 70,
      "habits": 66
    },
    "calculated_at": "2026-08-09T12:00:00.000Z"
  },
  "meta": {
    "timestamp": "2026-08-09T12:00:00.000Z",
    "version": "1.0",
    "plan": "operator"
  }
}
GET/score

Returns your latest Proopsys Score.

curl -H "Authorization: Bearer prps_your_key" https://proopsys.com/api/v1/score
{
  "success": true,
  "data": {
    "total_score": 78,
    "score_label": "Strong",
    "pillars": {
      "business_momentum": 74,
      "financial_health": 82,
      "growth_activity": 69,
      "life_balance": 71,
      "focus_quality": 80,
      "execution_rate": 77
    },
    "calculated_at": "2026-08-09T12:00:00.000Z"
  },
  "meta": {
    "timestamp": "2026-08-09T12:00:00.000Z",
    "version": "1.0",
    "plan": "operator"
  }
}
GET/tasks

Returns your tasks.

ParameterTypeRequiredDescription
statusstringNotodo / in_progress / completed
limitintegerNodefault 20, max 100
prioritystringNoFilter by priority
curl -H "Authorization: Bearer prps_your_key" https://proopsys.com/api/v1/tasks
{
  "success": true,
  "data": {
    "tasks": [
      {
        "id": "uuid",
        "title": "Follow up with lead",
        "status": "pending",
        "priority": "high",
        "due_date": "2026-08-12"
      }
    ],
    "total": 1
  },
  "meta": {
    "timestamp": "2026-08-09T12:00:00.000Z",
    "version": "1.0",
    "plan": "operator"
  }
}
POST/tasks

Creates a task.

ParameterTypeRequiredDescription
titlestringYesTask title
prioritystringNolow / medium / high
due_datestringNoISO date
notesstringNoOptional notes
curl -X POST -H "Authorization: Bearer prps_your_key" -H "Content-Type: application/json" -d '{"title":"Follow up with lead","priority":"high"}' https://proopsys.com/api/v1/tasks
{
  "success": true,
  "data": {
    "task": {
      "id": "uuid",
      "title": "Follow up with lead",
      "priority": "high",
      "status": "pending"
    }
  },
  "meta": {
    "timestamp": "2026-08-09T12:00:00.000Z",
    "version": "1.0",
    "plan": "operator"
  }
}
GET/contacts

Returns your CRM contacts.

ParameterTypeRequiredDescription
stagestringNoFilter by pipeline stage
limitintegerNodefault 20, max 100
searchstringNoSearch by name
curl -H "Authorization: Bearer prps_your_key" https://proopsys.com/api/v1/contacts
{
  "success": true,
  "data": {
    "contacts": [
      {
        "id": "uuid",
        "name": "Jane Doe",
        "email": "jane@acme.com",
        "company": "Acme",
        "stage": "Lead"
      }
    ],
    "total": 1
  },
  "meta": {
    "timestamp": "2026-08-09T12:00:00.000Z",
    "version": "1.0",
    "plan": "operator"
  }
}
POST/contacts

Creates a CRM contact.

ParameterTypeRequiredDescription
full_namestringYesContact name
emailstringNo
companystringNo
stagestringNo
valuenumberNoDeal value
notesstringNo
curl -X POST -H "Authorization: Bearer prps_your_key" -H "Content-Type: application/json" -d '{"full_name":"Jane Doe","email":"jane@acme.com"}' https://proopsys.com/api/v1/contacts
{
  "success": true,
  "data": {
    "contact": {
      "id": "uuid",
      "name": "Jane Doe",
      "email": "jane@acme.com"
    }
  },
  "meta": {
    "timestamp": "2026-08-09T12:00:00.000Z",
    "version": "1.0",
    "plan": "operator"
  }
}
GET/transactions

Returns your finance transactions with a summary.

ParameterTypeRequiredDescription
typestringNoincome / expense
daysintegerNodefault 30
limitintegerNodefault 50, max 100
curl -H "Authorization: Bearer prps_your_key" https://proopsys.com/api/v1/transactions
{
  "success": true,
  "data": {
    "transactions": [
      {
        "id": "uuid",
        "amount": 4500,
        "type": "income",
        "description": "Stripe payment",
        "date": "2026-08-08",
        "category": "Stripe"
      }
    ],
    "total": 1,
    "summary": {
      "income": 4500,
      "expenses": 0,
      "net": 4500
    }
  },
  "meta": {
    "timestamp": "2026-08-09T12:00:00.000Z",
    "version": "1.0",
    "plan": "operator"
  }
}
POST/transactions

Creates a transaction.

ParameterTypeRequiredDescription
amountnumberYes
typestringYesincome / expense
descriptionstringYes
datestringNo
categorystringNo
curl -X POST -H "Authorization: Bearer prps_your_key" -H "Content-Type: application/json" -d '{"amount":4500,"type":"income","description":"Stripe payment"}' https://proopsys.com/api/v1/transactions
{
  "success": true,
  "data": {
    "transaction": {
      "id": "uuid",
      "amount": 4500,
      "type": "income",
      "description": "Stripe payment"
    }
  },
  "meta": {
    "timestamp": "2026-08-09T12:00:00.000Z",
    "version": "1.0",
    "plan": "operator"
  }
}
GET/user

Returns your profile summary.

curl -H "Authorization: Bearer prps_your_key" https://proopsys.com/api/v1/user
{
  "success": true,
  "data": {
    "id": "uuid",
    "email": "you@company.com",
    "full_name": "You",
    "plan": "operator",
    "subscription_status": "active",
    "trial_ends_at": null,
    "prosys_score": 78,
    "signal": "building"
  },
  "meta": {
    "timestamp": "2026-08-09T12:00:00.000Z",
    "version": "1.0",
    "plan": "operator"
  }
}